# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Apr 14 19:27:00 2025
# ------------------------------------------------

package:
  name: hictkpy
  version: 1.2.0
source:
  sha256: ddfbd026b923386ade0b2a45639c184873e3acf34a394e5b6ee76a107612be1d
  url: https://pypi.python.org/packages/source/h/hictkpy/hictkpy-1.2.0.tar.gz
build:
  number: '0'
  run_exports:
    - hictkpy >=1.2.0,<2.0a0
  string: py310h2b2f5c3_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_4
    - binutils_linux-aarch64 2.43 hf1166c9_4
    - bottle 0.12.23 pyhd8ed1ab_0
    - brotli-python 1.1.0 py313hb6a6212_2
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.5 h86ecc28_0
    - ca-certificates 2025.1.31 hcefe29a_0
    - certifi 2025.1.31 pyhd8ed1ab_0
    - charset-normalizer 3.4.1 pyhd8ed1ab_0
    - clang 19.1.7 default_h7e7f49e_2
    - clang-19 19.1.7 default_he324ac1_2
    - clang_impl_linux-aarch64 19.1 h4ff6d9d_8
    - clang_linux-aarch64 19.1 hb930b20_8
    - clangxx 19.1.7 default_h2509fc2_2
    - clangxx_impl_linux-aarch64 19.1 he5cad63_8
    - clangxx_linux-aarch64 19.1 hb930b20_8
    - cmake 4.0.1 h0efca9c_0
    - colorama 0.4.6 pyhd8ed1ab_1
    - compiler-rt 19.1.7 h17cf362_0
    - compiler-rt_linux-aarch64 19.1.7 h17cf362_0
    - conan 2.15.1 pyhd8ed1ab_0
    - distro 1.8.0 pyhd8ed1ab_0
    - eigen 3.4.0 h2a328a1_0
    - fast_float 8.0.2 h17cf362_0
    - fasteners 0.19 pyhd8ed1ab_1
    - fmt 11.1.4 h97e1849_1
    - hdf5 1.14.4 nompi_h6ed7ac7_105
    - highfive 2.10.1 h911fc34_1
    - icu 75.1 hf9b3779_0
    - idna 3.10 pyhd8ed1ab_1
    - jinja2 3.1.6 pyhd8ed1ab_0
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libaec 1.1.3 h2f0025b_0
    - libclang-cpp19.1 19.1.7 default_he324ac1_2
    - libcurl 8.13.0 h6702fde_0
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libexpat 2.7.0 h5ad3122_0
    - libffi 3.4.6 he21f813_1
    - libgcc 14.2.0 he277a41_2
    - libgcc-devel_linux-aarch64 14.2.0 h46490cb_102
    - libgcc-ng 14.2.0 he9431aa_2
    - libgfortran 14.2.0 he9431aa_2
    - libgfortran5 14.2.0 hb6113d0_2
    - libgomp 14.2.0 he277a41_2
    - libiconv 1.18 hc99b53d_1
    - libllvm19 19.1.7 h2edbd07_1
    - liblzma 5.8.1 h86ecc28_0
    - libmpdec 4.0.0 h68df207_0
    - libnghttp2 1.64.0 hc8609a4_0
    - libsqlite 3.49.1 h5eb1b54_2
    - libssh2 1.11.1 ha41c0db_0
    - libstdcxx 14.2.0 h3f4de04_2
    - libstdcxx-devel_linux-aarch64 14.2.0 h46490cb_102
    - libstdcxx-ng 14.2.0 hf1166c9_2
    - libuuid 2.38.1 hb4cce97_0
    - libuv 1.50.0 h86ecc28_0
    - libxml2 2.13.7 he060846_1
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - markupsafe 3.0.2 py313h7815b11_1
    - ncurses 6.5 ha32ae93_3
    - openssl 3.5.0 hd08dc88_0
    - patch-ng 1.18.1 pyhd8ed1ab_0
    - pip 25.0.1 pyh145f28c_0
    - pluginbase 1.0.1 pyhd8ed1ab_1
    - pyjwt 2.10.1 pyhd8ed1ab_0
    - pysocks 1.7.1 pyha55dd90_7
    - python 3.13.3 h525b0ce_100_cp313
    - python-dateutil 2.9.0.post0 pyhff2d567_1
    - python_abi 3.13 6_cp313
    - pyyaml 6.0.2 py313h857f82b_2
    - readline 8.2 h8382b9d_2
    - requests 2.32.3 pyhd8ed1ab_1
    - rhash 1.4.5 h86ecc28_0
    - six 1.17.0 pyhd8ed1ab_0
    - spdlog 1.15.2 h7344f28_0
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tk 8.6.13 h194ca79_0
    - tzdata 2025b h78e105d_0
    - urllib3 1.26.19 pyhd8ed1ab_0
    - yaml 0.2.5 hf897c2e_2
    - zstd 1.5.7 hbcf94c1_2
  host:
    - _openmp_mutex 4.5 2_gnu
    - aws-c-auth 0.8.7 hb84f5ef_1
    - aws-c-cal 0.8.7 hd337a65_1
    - aws-c-common 0.12.1 h86ecc28_0
    - aws-c-compression 0.3.1 hf4b3a58_3
    - aws-c-event-stream 0.5.4 hb2bb12b_3
    - aws-c-http 0.9.5 h72a82a1_0
    - aws-c-io 0.17.0 he13153b_8
    - aws-c-mqtt 0.12.2 hbc7b3aa_3
    - aws-c-s3 0.7.13 hc341c5f_3
    - aws-c-sdkutils 0.2.3 hf4b3a58_3
    - aws-checksums 0.2.3 hf4b3a58_3
    - aws-crt-cpp 0.31.1 hb21fbfa_1
    - aws-sdk-cpp 1.11.510 hd4febd0_4
    - azure-core-cpp 1.14.0 h1887c18_0
    - azure-identity-cpp 1.10.0 h47b0b28_0
    - azure-storage-blobs-cpp 12.13.0 h185ecfd_1
    - azure-storage-common-cpp 12.8.0 h1b94036_1
    - azure-storage-files-datalake-cpp 12.12.0 h37d6d07_1
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.5 h86ecc28_0
    - ca-certificates 2025.1.31 hcefe29a_0
    - exceptiongroup 1.2.2 pyhd8ed1ab_1
    - gflags 2.2.2 h5ad3122_1005
    - glog 0.7.1 h468a4a4_0
    - hdf5 1.14.4 nompi_h6ed7ac7_105
    - icu 75.1 hf9b3779_0
    - importlib-metadata 8.6.1 pyha770c72_0
    - importlib-resources 6.5.2 pyhd8ed1ab_0
    - importlib_resources 6.5.2 pyhd8ed1ab_0
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_4
    - libabseil 20250127.1 cxx17_h18dbdb1_0
    - libaec 1.1.3 h2f0025b_0
    - libarrow 19.0.1 h6f57cdd_7_cpu
    - libblas 3.9.0 31_h1a9f1db_openblas
    - libbrotlicommon 1.1.0 h86ecc28_2
    - libbrotlidec 1.1.0 h86ecc28_2
    - libbrotlienc 1.1.0 h86ecc28_2
    - libcblas 3.9.0 31_hab92f65_openblas
    - libcrc32c 1.1.2 h01db608_0
    - libcurl 8.13.0 h6702fde_0
    - libdeflate 1.23 h5e3c512_0
    - libedit 3.1.20250104 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libexpat 2.7.0 h5ad3122_0
    - libffi 3.4.6 he21f813_1
    - libgcc 14.2.0 he277a41_2
    - libgcc-ng 14.2.0 he9431aa_2
    - libgfortran 14.2.0 he9431aa_2
    - libgfortran5 14.2.0 hb6113d0_2
    - libgomp 14.2.0 he277a41_2
    - libgoogle-cloud 2.36.0 h1c497bb_1
    - libgoogle-cloud-storage 2.36.0 hb9b2b65_1
    - libgrpc 1.71.0 he73f0c3_0
    - libiconv 1.18 hc99b53d_1
    - liblapack 3.9.0 31_h411afd4_openblas
    - libllvm20 20.1.2 h2edbd07_0
    - liblzma 5.8.1 h86ecc28_0
    - libnghttp2 1.64.0 hc8609a4_0
    - libnsl 2.0.1 h31becfc_0
    - libopenblas 0.3.29 pthreads_h9d3fd7e_0
    - libopentelemetry-cpp 1.20.0 h77ebfab_0
    - libopentelemetry-cpp-headers 1.20.0 h8af1aa0_0
    - libprotobuf 5.29.3 h4edc36e_0
    - libre2-11 2024.07.02 h201e9ed_3
    - libsqlite 3.49.1 h5eb1b54_2
    - libssh2 1.11.1 ha41c0db_0
    - libstdcxx 14.2.0 h3f4de04_2
    - libstdcxx-ng 14.2.0 hf1166c9_2
    - libutf8proc 2.10.0 ha346350_0
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libxml2 2.13.7 he060846_1
    - libzlib 1.3.1 h86ecc28_2
    - lld 20.1.2 hcb02648_0
    - lz4-c 1.10.0 h5ad3122_1
    - nanobind 2.6.1 pyhd8ed1ab_0
    - ncurses 6.5 ha32ae93_3
    - nlohmann_json 3.12.0 h5ad3122_0
    - numpy 1.22.4 py310h7f880a9_0
    - openssl 3.5.0 hd08dc88_0
    - orc 2.1.1 h38030b9_1
    - packaging 24.2 pyhd8ed1ab_2
    - pathspec 0.12.1 pyhd8ed1ab_1
    - pip 25.0.1 pyh8b19718_0
    - prometheus-cpp 1.3.0 h7938499_0
    - python 3.10.17 h256493d_0_cpython
    - python_abi 3.10 6_cp310
    - re2 2024.07.02 haa97905_3
    - readline 8.2 h8382b9d_2
    - s2n 1.5.15 he8606c7_0
    - scikit-build-core 0.11.0 pyhae55e72_1
    - setuptools 78.1.0 pyhff2d567_0
    - setuptools-scm 8.2.1 pyhd8ed1ab_0
    - setuptools_scm 8.2.1 hd8ed1ab_0
    - snappy 1.2.1 hd4fb6f5_1
    - tk 8.6.13 h194ca79_0
    - tomli 2.2.1 pyhd8ed1ab_1
    - typing-extensions 4.13.2 h0e9735f_0
    - typing_extensions 4.13.2 pyh29332c3_0
    - tzdata 2025b h78e105d_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.21.0 pyhd8ed1ab_1
    - zlib 1.3.1 h86ecc28_2
    - zstd 1.5.7 hbcf94c1_2
  run:
    - hdf5 >=1.14,<2.0a0
    - hdf5 >=1.14.4,<1.14.5.0a0
    - libarrow >=19.0.1,<19.1.0a0
    - libdeflate >=1,<2.0a0
    - libdeflate >=1.23,<1.24.0a0
    - libgcc >=12
    - libstdcxx >=12
    - numpy >=1.22.4,<2.0a0
    - pandas
    - pyarrow
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
    - scipy
    - zstd >=1.5,<2.0a0
    - zstd >=1.5.7,<1.6.0a0
test:
  imports:
    - hictkpy
  requires:
    - pytest>=8
  source_files:
    - test/*
about:
  dev_url: https://github.com/paulsengroup/hictkpy
  doc_url: https://hictkpy.readthedocs.io/en/stable/
  home: https://github.com/paulsengroup/hictkpy
  license: MIT
  license_file: LICENSE
  summary: 'Python bindings for hictk: read and write .cool and .hic files directly
    from Python'
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:hictkpy
    - doi:10.5281/zenodo.8220300
  recipe-maintainers:
    - jonnings
    - robomics
